<?php

namespace Drupal\profile_tabs\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;


/**
 * Profile Tabs Settings Form
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config(current($this->getEditableConfigNames()));
    $form = parent::buildForm($form, $form_state);

    $form['enable_jumping_between_sub_tabs'] = [
      '#title' => $this->t('Allow jumping between profile sub tabs to view and edit'),
      '#type' => 'checkbox',
      '#default_value' => $config->get('enable_jumping_between_sub_tabs'),
    ];
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'profile_tabs.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'profile_tabs_settings';
  }


  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);
    $this->config('profile_tabs.settings')
      ->set('enable_jumping_between_sub_tabs', $form_state->getValue('enable_jumping_between_sub_tabs'))
      ->save();
  }
}
